nixp.ru v3.0

17 октября 2017,
вторник,
11:03:47 MSK

DevOps с компанией «Флант»
betelgeise написал 2 апреля 2007 года в 04:04 (431 просмотр) Ведет себя как мужчина; открыл 18 тем в форуме, оставил 34 комментария на сайте.

Хочу включить опцию трехмерного рабочего стола в drakconf, но там говорят, что «ваша система не поддерживает трехмерный рабочий стол». Это значит у меня плохая видеокарта или просто нужно установить последние драйвера для нее?

fly4life

Ещё б знать, какая у тебя видеокарта…

betelgeise

Ой, забыл, простите. NVIDIA GeForce FX 5200

fly4life
flexdiez
Ой, забыл, простите. NVIDIA GeForce FX 5200

Нормальная видюха ;). Драйвер, видать, надо установить.

Хотя, кто его знает, что там drakconf имеет в виду, но всё же попробуй.

betelgeise

Хорошо, если что не так пойдет, я спрошу.

Mitroshin

В принципе видео должен потянуть, у меня стол на встроенной карте пошол. Наверно траблы с дровами, а у тебя ошибку выдает после нажатия на 3-д столе или после настроек его?

betelgeise
Mitroshin
В принципе видео должен потянуть, у меня стол на встроенной карте пошол. Наверно траблы с дровами, а у тебя ошибку выдает после нажатия на 3-д столе или после настроек его?

У меня в самом окошке конфигурирования стиля рабочего стола радио-кнопка «3D стол» затемнена, то есть в состоянии Disabled. И чуть выше надпись, что моя система не поддерживает 3D оформление. Но я понял, что просто дрова надо не стандартные, а прямо с сайта nvidia.

betelgeise

Драйвера NVIDIA поставил, теперь KDE летает как ласточка! =)

Пробовал ставить Beryl, но при первой же команде ./configure в папке beryl-core-2.1 выдает ошибки:

Package "xcomposite" not found
Package "xdamage" not found
Package "lib-chto-to-tam-startup-che-to-tam" not found

Что такое xcomposite и что с ним делать?

Dr. Evil

flexdiez, кто тебе посоветовал собирать пакеты руками?

лучше найди пакет rpm для своего дистрибутива и получишь десктоп 21 века за пару минут, а собирая руками, ты еще долго будешь мучаться.

betelgeise

Правда, удобнее было скачать deb-пакеты. Установил все, только вот теперь требовался glx модуль, я его видимо как-то коряво поставил, потому что теперь

root@artem-desktop:~# glxinfo
name of display: :0.0
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual
   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
0x21 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
0x22 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
0x5b 32 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
Heavy

Поставь последние дрова на видяху

Heavy

//Ток смотри чтоб ей было не тяжело =)